ApiManagementUsers
POST
/v1/mgmt/family/searchAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
familyIds?array<string>
string
freeText?string
familyNames?array<string>
string
page?integer
Format
int32size?integer
Format
int32customAttributes?object
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
Example
{
"attribute-key": "attribute-value"
}Search families, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/family/search" \ -H "Content-Type: application/json" \ -d '{}'{ "families": [ { "id": "string", "name": "string", "customAttributes": { "attribute-key": "attribute-value" }, "disabled": true, "photo": "string", "createdTime": 0 } ]}export interface Response {families?: {id?: stringname?: string/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}disabled?: booleanphoto?: stringcreatedTime?: number}[]} Was this helpful?